1. Spaces
Source Wiki (External APIs)
  • Categories
    • List categories (paginated)
      GET
    • Create a category
      POST
    • Get a single category
      GET
    • Update a category
      PATCH
    • Delete a category
      DELETE
  • Spaces
    • List spaces in a category (paginated)
      GET
    • Create a space
      POST
    • Get a single space
      GET
    • Update a space
      PATCH
    • Delete a space
      DELETE
  • Source Items
    • ProseMirror JSON Schema Reference
    • List source items in a space (paginated)
      GET
    • Create a source item
      POST
    • Get a single source item
      GET
    • Update a source item
      PATCH
    • Delete a source item
      DELETE
  • Schemas
    • User
    • SourceDocument
    • Category
    • Space
    • SourceItem
    • PublishedCategory
    • SuccessEnvelope
    • PaginationMeta
    • PaginationLinks
    • ValidationErrorResponse
    • UnauthenticatedResponse
    • NotFoundResponse
    • ConflictResponse
  1. Spaces

Update a space

PATCH
https://api-dev.thesource.wiki/api/v1/spaces/{space}

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Space updated successfully
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠422Unprocessable Entity
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api-dev.thesource.wiki/api/v1/spaces/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Backend Platform",
    "description": "Updated description",
    "general_access": "everyone",
    "sort": 2,
    "thumbnail_upload_id": 99
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "Space updated successfully.",
    "data": {
        "id": 7,
        "category_id": 42,
        "name": "Backend Platform",
        "description": "Backend infrastructure documentation",
        "public_image_url": "https://example.com/thumb.png",
        "general_access": "everyone",
        "category": {
            "id": 42,
            "name": "Engineering",
            "description": "All engineering resources",
            "icon": "folder",
            "color": "#4F46E5",
            "created_at": "2026-01-01T00:00:00Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        },
        "owner": {
            "id": 1,
            "name": "Jane Doe",
            "email": "jane@example.com",
            "first_name": "Jane",
            "last_name": "Doe",
            "public_image_url": "https://example.com/avatar.png",
            "role": "admin",
            "initials": "JD",
            "status": "active",
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        },
        "folders_count": 3,
        "documents_count": 12,
        "documents_handbooks_count": 14,
        "can_edit": true,
        "can_publish": true,
        "can_delete": false,
        "created_at": "2026-01-01T00:00:00Z",
        "updated_at": "2026-01-15T12:00:00Z",
        "deleted_at": "2019-08-24T14:15:22.123Z"
    },
    "errors": null
}
Modified at 2026-03-17 04:07:40
Previous
Get a single space
Next
Delete a space
Built with